Bug 471413 - Avocent KVM viewer doesn't work with IcedTea plugin
Avocent KVM viewer doesn't work with IcedTea plugin
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
13
All Linux
medium Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-13 10:36 EST by Charles R. Anderson
Modified: 2011-12-12 02:41 EST (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-02 16:34:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
java.stdout (334 bytes, text/plain)
2008-11-17 12:20 EST, Charles R. Anderson
no flags Details
java.stderr (16.45 KB, text/plain)
2008-11-17 12:20 EST, Charles R. Anderson
no flags Details
firefox terminal output (6.38 KB, text/plain)
2008-11-17 12:23 EST, Charles R. Anderson
no flags Details
java.stderr for comment #10 (31.87 KB, application/octet-stream)
2009-02-24 15:08 EST, Stefan Neufeind
no flags Details
stderr-output when run via http (to comment #15) (7.49 KB, application/x-compressed)
2009-02-26 17:35 EST, Stefan Neufeind
no flags Details
Avocent KVM java.stdout (5.40 KB, text/plain)
2009-02-26 18:27 EST, Charles R. Anderson
no flags Details
Avocent KVM java.stderr (1.03 MB, text/plain)
2009-02-26 18:29 EST, Charles R. Anderson
no flags Details
Avocent KVM firefox terminal output (1.17 MB, text/plain)
2009-02-26 18:31 EST, Charles R. Anderson
no flags Details
Avocent KVM java.stdout (4.58 KB, text/plain)
2009-05-13 19:23 EDT, Charles R. Anderson
no flags Details
Avocent KVM java.stderr (136.35 KB, text/plain)
2009-05-13 19:23 EDT, Charles R. Anderson
no flags Details
Avocent KVM firefox stdout (142.31 KB, text/plain)
2009-05-13 19:26 EDT, Charles R. Anderson
no flags Details
output from manually running javaws -verbose kvm.cgi (11.94 KB, text/plain)
2009-11-19 13:29 EST, Chris Wright
no flags Details

  None (edit)
Description Charles R. Anderson 2008-11-13 10:36:12 EST
Description of problem:

I use Avocent IP KVM switches along with the DSView3 management server.  The server (or the appliance itself) serves up a JNLP to launch a Java client to connect to the KVM port on the server you want to manage.  This works with Sun Java, but fails with IcedTea in Fedora 10.  Is there any hope for getting this to work?  What support is missing that this applet needs?  Thanks.

I have JNLP files associated with /usr/bin/javaws in Firefox.

Version-Release number of selected component (if applicable):
ava-1.6.0-openjdk-plugin-1.6.0.0-2b12.fc10.i386
java-1.6.0-openjdk-debuginfo-1.6.0.0-2b12.fc10.i386
java-1.5.0-gcj-1.5.0.0-22.fc10.i386
java-1.6.0-openjdk-1.6.0.0-2b12.fc10.i386


How reproducible:
always

Steps to Reproduce:
1. firefox -g
2. try to launch a KVM window
3.
  
Actual results:
The initial applet window pops up, but nothing happens after that.

Expected results:
A Java splash screen should pop up, followed by a Video Session Viewer applet that displays the video console of the server you are connecting to.

Additional info:

output from terminal:

ICEDTEAPLUGIN_DEBUG = (null)
Initializing JVM...
[New Thread 0xad1feb90 (LWP 12423)]
[New Thread 0xb34ffb90 (LWP 12424)]
Detaching after fork from child process 12425.
NOT IMPLEMENTED: virtual nsresult IcedTeaPluginInstance::Start()
JNLPRuntime already initialized
netx: Initialization Error: Could not initialize applet. (java.lang.ClassNotFoundException com.avocent.dsview.client.viewer.VideoSessionManagerApplet)
netx: Initialization Error: Could not initialize applet. (java.lang.ClassNotFoundException com.avocent.dsview.client.viewer.VideoSessionManagerApplet)
net.sourceforge.jnlp.LaunchException: Fatal: Initialization Error: Could not initialize applet.
        at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:472)
        at net.sourceforge.jnlp.Launcher.getApplet(Launcher.java:418)
        at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:597)
Caused by: java.lang.ClassNotFoundException: com.avocent.dsview.client.viewer.VideoSessionManagerApplet
        at net.sourceforge.jnlp.runtime.JNLPClassLoader.loadClassExt(JNLPClassLoader.java:700)
        at net.sourceforge.jnlp.runtime.JNLPClassLoader.loadClass(JNLPClassLoader.java:657)
        at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:457)
        ... 2 more
Caused by:
java.lang.ClassNotFoundException: com.avocent.dsview.client.viewer.VideoSessionManagerApplet
        at net.sourceforge.jnlp.runtime.JNLPClassLoader.loadClassExt(JNLPClassLoader.java:700)
        at net.sourceforge.jnlp.runtime.JNLPClassLoader.loadClass(JNLPClassLoader.java:657)
        at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:457)
        at net.sourceforge.jnlp.Launcher.getApplet(Launcher.java:418)
        at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:597)

Program received signal SIGPIPE, Broken pipe.
0x00110416 in ?? ()
Missing separate debuginfos, use: debuginfo-install ORBit2-2.14.16-1.fc10.i386 avahi-0.6.22-11.fc10.i386 avahi-glib-0.6.22-11.fc10.i386 bug-buddy-2.24.1-1.fc10.i386 dbus-glib-0.76-2.fc10.i386 dbus-libs-1.2.4-1.fc10.i386 e2fsprogs-libs-1.41.3-2.fc10.i386 elfutils-li$
(gdb)


(gdb) where
#0  0x00110416 in ?? ()
#1  0x004670bb in write () from /lib/libpthread.so.0
#2  0x0065c676 in g_io_unix_write (channel=0xae53560,
    buf=0xe9a2d80 "instance 1 reference 0 GetJavaObject\n", count=37,
    bytes_written=0xbfffad88, err=0x11dcf84) at giounix.c:229
#3  0x00619c64 in IA__g_io_channel_flush (channel=0xae53560, error=0x11dcf84)
    at giochannel.c:955
#4  0x011b9e49 in IcedTeaPluginFactory::SendMessageToAppletViewer ()
   from /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/IcedTeaPlugin.so
#5  0x011be7f5 in IcedTeaPluginFactory::GetJavaObject ()
   from /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/IcedTeaPlugin.so
#6  0x011ba15d in IcedTeaPluginInstance::GetJavaObject ()
   from /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/IcedTeaPlugin.so
#7  0x030a8dac in nsHTMLPluginObjElementSH::GetJavaPluginJSObject (
    cx=0xe83d058, obj=0xa982600, plugin_inst=0xcc188e0, plugin_obj=0xbfffafc4,
    plugin_proto=0xbfffafc0) at nsDOMClassInfo.cpp:9226
#8  0x030a911f in nsHTMLPluginObjElementSH::GetPluginJSObject (cx=0xe83d058,
    obj=0xa982600, plugin_inst=0xcc188e0, plugin_obj=0xbfffafc4,
    plugin_proto=0xbfffafc0) at nsDOMClassInfo.cpp:9304
#9  0x030a9389 in nsHTMLPluginObjElementSH::SetupProtoChain (
    wrapper=0xdf93b78, cx=0xe83d058, obj=0xa982600) at nsDOMClassInfo.cpp:8935
#10 0x02e45c5d in nsObjectFrame::NotifyContentObjectWrapper (this=0xdaee0c0)
    at nsObjectFrame.cpp:2018
#11 0x02e45ce8 in nsObjectFrame::TryNotifyContentObjectWrapper (this=0xdaee0c0)
    at nsObjectFrame.cpp:1735
#12 0x02e46a36 in nsObjectFrame::Instantiate (this=0xdaee0c0,
    aMimeType=0x9ffeb98 "application/x-java-applet;version=1.4.2",
    aURI=0x8b23b00) at nsObjectFrame.cpp:1708
#13 0x02f618c7 in nsObjectLoadingContent::Instantiate (this=0xbf05a70,
    aFrame=0xdaee0e8, aMIMEType=@0xbf05aac, aURI=0x8b23b00)
    at nsObjectLoadingContent.cpp:1699
#14 0x02f634de in nsObjectLoadingContent::EnsureInstantiation (this=0xbf05a70,
    aInstance=0xbfffb1f8) at nsObjectLoadingContent.cpp:750
#15 0x030a7bd3 in nsHTMLPluginObjElementSH::GetPluginInstanceIfSafe (
    wrapper=0xdf93b78, _result=0xbfffb1f8) at nsDOMClassInfo.cpp:8843
#16 0x030ac64f in nsHTMLPluginObjElementSH::NewResolve (this=0xa714448,
    wrapper=0xdf93b78, cx=0xe83d058, obj=0xa982600, id=135942476, flags=0,
    objp=0xbfffb28c, _retval=0xbfffb290) at nsDOMClassInfo.cpp:9384
#17 0x02c9ecea in XPC_WN_Helper_NewResolve (cx=0xe83d058, obj=0xa982600,
    idval=135942476, flags=0, objp=0xbfffb398)
    at xpcwrappednativejsops.cpp:1068
#18 0x0564e483 in js_LookupPropertyWithFlags (cx=0xe83d058, obj=0xa982600,
    id=135942476, flags=0, objp=0xbfffb3e8, propp=0xbfffb3e4) at jsobj.c:3340
#19 0x0564efc4 in js_FindPropertyHelper (cx=0xe83d058, id=135942476,
    objp=0xbfffb688, pobjp=0xbfffb684, propp=0xbfffb668, entryp=0xbfffb65c)
    at jsobj.c:3454
#20 0x0563a485 in js_Interpret (cx=0xe83d058) at jsinterp.c:4967
#21 0x05646f5b in js_Invoke (cx=0xe83d058, argc=0, vp=0xbaed450, flags=0)
    at jsinterp.c:1313
#22 0x0564725b in js_InternalInvoke (cx=0xe83d058, obj=0xa982600,
    fval=177743456, flags=0, argc=0, argv=0x0, rval=0xbfffb84c)
    at jsinterp.c:1369
#23 0x056124c8 in JS_CallFunctionValue (cx=0xe83d058, obj=0xa982600,
    fval=177743456, argc=0, argv=0x0, rval=0xbfffb84c) at jsapi.c:5054
#24 0x03055239 in nsXBLProtoImplAnonymousMethod::Execute (this=0x92d3cb0,
    aBoundElement=0xbf05a50) at nsXBLProtoImplMethod.cpp:334
#25 0x0304af3c in nsXBLBinding::ExecuteAttachedHandler (this=0xc149e18)
    at nsXBLBinding.cpp:942
#26 0x0305ed0d in nsBindingManager::ProcessAttachedQueue (this=0x9a43590,
    aSkipSize=0) at nsBindingManager.cpp:981
#27 0x02dff96e in PresShell::DoFlushPendingNotifications (this=0xcc18290,
    aType=Flush_Layout, aInterruptibleReflow=1) at nsPresShell.cpp:4555
#28 0x02dffa15 in PresShell::ReflowEvent::Run (this=0xb0475e8)
    at nsPresShell.cpp:6145
#29 0x034b9cf0 in nsThread::ProcessNextEvent (this=0x80d1c38, mayWait=1,
    result=0xbfffb9b4) at nsThread.cpp:510
#30 0x03486be0 in NS_ProcessNextEvent_P (thread=0xe9a2d80, mayWait=1)
    at nsThreadUtils.cpp:227
#31 0x033e76cc in nsBaseAppShell::Run (this=0x854c6b8)
    at nsBaseAppShell.cpp:170
#32 0x0329b15c in nsAppStartup::Run (this=0x8614328) at nsAppStartup.cpp:181
#33 0x02c67b40 in XRE_main (argc=1, argv=0xbffff0c4, aAppData=0x8063258)
    at nsAppRunner.cpp:3174
#34 0x08049169 in strcmp ()
#35 0x002c86d5 in __libc_start_main (main=0x8048d84 <strcmp+252>, argc=1,
    ubp_av=0xbffff0c4, init=0x804de40 <strcmp+20920>,
    fini=0x804de30 <strcmp+20904>, rtld_fini=0x29d640 <_dl_fini>,
    stack_end=0xbffff0bc) at libc-start.c:220
#36 0x08048cc1 in strcmp ()

(gdb) continue
Continuing.
IcedTeaPlugin.cc:3809: Error: Failed to flush bytes to output channel: Broken pipe

NOT IMPLEMENTED: virtual nsresult IcedTeaPluginInstance::Stop()
Comment 1 Charles R. Anderson 2008-11-13 10:39:55 EST
fixing component
Comment 2 Deepak Bhole 2008-11-14 16:08:22 EST
Can you run firefox from the terminal with ICEDTEAPLUGIN_DEBUG=true and attach the resulting log and /tmp/java.std* files? I suspect this is the same issue as bug #469098
Comment 3 Charles R. Anderson 2008-11-17 12:20:20 EST
Created attachment 323783 [details]
java.stdout
Comment 4 Charles R. Anderson 2008-11-17 12:20:47 EST
Created attachment 323784 [details]
java.stderr
Comment 5 Charles R. Anderson 2008-11-17 12:23:19 EST
Created attachment 323785 [details]
firefox terminal output
Comment 6 Bug Zapper 2008-11-26 00:18:59 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Deepak Bhole 2009-02-24 14:15:11 EST
Can you try this again please? A whole bunch of fixes have gone in since the bug was originally opened, and it might be fixed by now.. if not, I will move this issue to the top of my todo list as it's been open for a while.
Comment 8 Stefan Neufeind 2009-02-24 14:33:46 EST
using: java-1.6.0-openjdk-1.6.0.0-9.b14.fc10.x86_64

Works now better than before :-) In contrast to a while ago the applet now loads and asks for the necessary permissions to run this applet coming from an untrusted source.

The applet fails if page is called (and applet is loaded) via https. The page loads, the applet loads, asks for permissions - and then fails with the following errors:

net.sourceforge.jnlp.LaunchException: Fatal: Initialization Error: Could not initialize applet.
        at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:472)
        at net.sourceforge.jnlp.Launcher.getApplet(Launcher.java:418)
        at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:597)
Caused by: java.lang.NullPointerException
        at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:458)
        ... 2 more
Caused by:
java.lang.NullPointerException
        at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:458)
        at net.sourceforge.jnlp.Launcher.getApplet(Launcher.java:418)
        at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:597)
java.lang.NullPointerException
        at net.sourceforge.jnlp.NetxPanel.runLoader(NetxPanel.java:97)
        at sun.applet.AppletPanel.run(AppletPanel.java:380)
        at java.lang.Thread.run(Thread.java:636)
java.lang.NullPointerException
        at sun.applet.AppletPanel.run(AppletPanel.java:430)
        at java.lang.Thread.run(Thread.java:636)


However if the page containing the applet (and the applet itself) is loaded via http it works. The applet itself insists to use https - so you'll have to have both ports available for connection. But if that's the case (applet loaded via http, making the connection via https itself) then it works fine it seems.
Comment 9 Deepak Bhole 2009-02-24 14:45:44 EST
Ah, one step closer! :)

Can you try again with instructions from Comment #2 and post the results? The java output files would contain the root cause of the exception, which will make it easier to trace the issue...
Comment 10 Stefan Neufeind 2009-02-24 15:07:42 EST
console-output:

NSGetFactory called                                                                                                                                       
ICEDTEA PLUGIN: NSGetFactory: Creating factory                                                                                                            
ICEDTEA PLUGIN: Factory::IcedTeaPluginFactory                                                                                                             
CONSTRUCTING FACTORY                                                                                                                                      
ICEDTEAPLUGIN_DEBUG = true                                                                                                                                
ICEDTEA PLUGIN: Factory::IcedTeaPluginFactory return                                                                                                      
ICEDTEA PLUGIN: Factory::Initialize                                                                                                                       
ICEDTEA PLUGIN: Factory::Initialize: using /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/../../bin/java                                    
ICEDTEA PLUGIN: thread manager                                                                                                                            
ICEDTEA PLUGIN: current thread                                                                                                                            
Initializing JVM...                                                                                                                                       
ICEDTEA PLUGIN: get component manager                                                                                                                     
ICEDTEA PLUGIN: liveconnect                                                                                                                               
ICEDTEA PLUGIN: thread manager                                                                                                                            
ICEDTEA PLUGIN: Instance::StartAppletviewer                                                                                                               
ICEDTEA PLUGIN: get component manager                                                                                                                     
ICEDTEA PLUGIN: create local file                                                                                                                         
ICEDTEA PLUGIN: init with path                                                                                                                            
ICEDTEA PLUGIN: create process                                                                                                                            
ICEDTEA PLUGIN: init process                                                                                                                              
ICEDTEA PLUGIN: clearing old input fifo (if any): /home/somebody/.icedteaplugin/icedtea-appletviewer-to-plugin                                                  
ICEDTEA PLUGIN: creating input fifo: /home/sn/.icedteaplugin/icedtea-appletviewer-to-plugin                                                               
ICEDTEA PLUGIN: created input fifo: /home/sn/.icedteaplugin/icedtea-appletviewer-to-plugin                                                                
ICEDTEA PLUGIN: got confirmation that appletviewer is running                                                                                             
ICEDTEA PLUGIN: clearing old output fifo (if any): /home/somebody/.icedteaplugin/icedtea-plugin-to-appletviewer                                                 
ICEDTEA PLUGIN: creating output fifo: /home/sn/.icedteaplugin/icedtea-plugin-to-appletviewer                                                              
ICEDTEA PLUGIN: created output fifo: /home/sn/.icedteaplugin/icedtea-plugin-to-appletviewer                                                               
ICEDTEA PLUGIN: run process                                                                                                                               
Listening for transport dt_socket at address: 8787                                                                                                        
ICEDTEA PLUGIN: Instance::StartAppletviewer return                                                                                                        
ICEDTEA PLUGIN: started appletviewer                                                                                                                      
ICEDTEA PLUGIN: Factory::Initialize return                                                                                                                
ICEDTEA PLUGIN: Factory::CreateSecureEnv                                                                                                                  
ICEDTEA PLUGIN: JNIEnv::IcedTeaJNIEnv                                                                                                                     
ICEDTEA PLUGIN: JNIEnv::IcedTeaJNIEnv return                                                                                                              
CREATESECUREENV                                                                                                                                           
ICEDTEA PLUGIN: Factory::CreateSecureEnv return                                                                                                           
ICEDTEA PLUGIN: Factory::CreateInstance                                                                                                                   
ICEDTEA PLUGIN: Instance::IcedTeaPluginInstance                                                                                                           
ICEDTEA PLUGIN: Instance::IcedTeaPluginInstance return                                                                                                    
ICEDTEA PLUGIN: Factory::CreateInstance return                                                                                                            
ICEDTEA PLUGIN: Instance::Initialize                                                                                                                      
TAG FROM BROWSER = instance 1 tag https://localhost/title_app.asp <applet code="nn.pp.rc.RemoteConsoleApplet.class" archive="rc.jar,                      
                drvredir.jar,                                                                                                                             
                rcsoftkbd.jar" alt="Browser has no Java!" height="80" width="300">                                                                        
      <param name="progressbar" value="true">                                                                                                             
      <param name="REAL_HOST" value="">                                                                                                                   
      <param name="BOARD_NAME" value="Supermicro Daughter Card">                                                                                          
      <param name="BOARD_TYPE" value="lara">                                                                                                              
      <param name="HW_ID" value="22">                                                                                                                     
      <param name="SESSION_ID" value="6F2B8D882B211EB41DDA5A7FEAE85D3DCDB800D7159DAD50E3F880442877F154">                                                  
      <param name="PORT" value="443">                                                                                                                     
      <param name="SSLPORT" value="443">                                                                                                                  
      <param name="NORBOX" value="no">                                                                                                                    
      <param name="NORBOX_IPV4TARGET" value="">                                                                                                           
      <param name="NORBOX_IPV6TARGET" value="">                                                                                                           
      <param name="PROTOCOL_VERSION" value="01.16">                                                                                                       
      <param name="HOTKEY_0" value="confirm Ctrl+Alt+Delete">                                                                                             
<param name="HOTKEYCODE_0" value="36 f0 37 f0 4e">                                                                                                        
<param name="HOTKEYNAME_0" value="">                                                                                                                      

      <param name="KBD_LAYOUT" value="pc109">
      <param name="SOFTKBD_MAPPING" value="">
      <param name="MOUSESYNC_KEY" value="Alt+F12">
      <param name="EXCLUSIVE_MOUSE" value="">     
      <param name="MOUSESYNC_KEYCODE" value="37 47 ">
      <param name="LOCAL_CURSOR" value="">           
      <param name="PORT_ID" value="">                
      <param name="CLUSTER_PORT_ID" value="">        
      <param name="HOTKEYPAUSE" value="100">         
                                                     
      <param name="DRIVE_REDIRECTION" value="yes">   
      <param name="FORENSIC_CONSOLE" value="no">     
      <param name="DRIVE_REDIRECTION_NO_DRIVES" value="2">
      <param name="VS_TYPE" value="">                     
      <param name="VS_PERM_STD" value="yes">              
      <param name="VS_PERM_ADV" value="yes">              
      <param name="USE_IIP" value="no">                   
      <param name="MONITOR_MODE" value="no">              
      <param name="logo" value="">                        
      <param name="logo_off" value="">                    
      <param name="EXCLUSIVE_PERM" value="off">           
      <param name="SSL" value="off">                      
      <param name="HWENC" value="yes">                    
      <param name="SelEnc" value="auto">                  
      <param name="FixEnc" value="lanhi">                 
      <param name="AdvEncCR" value="uncompressed">        
      <param name="AdvEncCD" value="color_16bpp">         
      <param name="InFrame" value="yes">                  
      <param name="bgcolor" value="#a0c0d0">              
      <div class="error"><br>Browser has no Java!</div>   
    </applet></embed>                                     
ICEDTEA PLUGIN: Instance::SendMessageToAppletViewer       
Writing to JVM: instance 1 tag https://localhost/title_app.asp <applet code="nn.pp.rc.RemoteConsoleApplet.class" archive="rc.jar,&#10;          drvredir.jar,&#10;                rcsoftkbd.jar" alt="Browser has no Java!" height="80" width="300"> &#10;      <param name="progressbar" value="true">&#10;      <param name="REAL_HOST" value="">&#10;      <param name="BOARD_NAME" value="Supermicro Daughter Card">&#10;      <param name="BOARD_TYPE" value="lara">&#10;      <param name="HW_ID" value="22">&#10;      <param name="SESSION_ID" value="6F2B8D882B211EB41DDA5A7FEAE85D3DCDB800D7159DAD50E3F880442877F154">&#10;      <param name="PORT" value="443">&#10;      <param name="SSLPORT" value="443">&#10;      <param name="NORBOX" value="no">&#10;      <param name="NORBOX_IPV4TARGET" value="">&#10;      <param name="NORBOX_IPV6TARGET" value="">&#10;      <param name="PROTOCOL_VERSION" value="01.16">&#10;      <param name="HOTKEY_0" value="confirm Ctrl+Alt+Delete">&#10;<param name="HOTKEYCODE_0" value="36 f0 37 f0 4e">&#10;<param name="HOTKEYNAME_0" value="">&#10;&#10;      <param name="KBD_LAYOUT" value="pc109">&#10;      <param name="SOFTKBD_MAPPING" value="">&#10;      <param name="MOUSESYNC_KEY" value="Alt+F12">&#10;      <param name="EXCLUSIVE_MOUSE" value="">&#10;      <param name="MOUSESYNC_KEYCODE" value="37 47 ">&#10;      <param name="LOCAL_CURSOR" value="">      &#10;      <param name="PORT_ID" value="">&#10;      <param name="CLUSTER_PORT_ID" value="">&#10;      <param name="HOTKEYPAUSE" value="100">&#10;      &#10;      <param name="DRIVE_REDIRECTION" value="yes">&#10;      <param name="FORENSIC_CONSOLE" value="no">&#10;      <param name="DRIVE_REDIRECTION_NO_DRIVES" value="2">&#10;      <param name="VS_TYPE" value="">&#10;      <param name="VS_PERM_STD" value="yes">&#10;      <param name="VS_PERM_ADV" value="yes">&#10;      <param name="USE_IIP" value="no">&#10;      <param name="MONITOR_MODE" value="no">&#10;      <param name="logo" value="">&#10;      <param name="logo_off" value="">&#10;      <param name="EXCLUSIVE_PERM" value="off">&#10;      <param name="SSL" value="off">&#10;      <param name="HWENC" value="yes">&#10;      <param name="SelEnc" value="auto">&#10;      <param name="FixEnc" value="lanhi">&#10;      <param name="AdvEncCR" value="uncompressed">&#10;      <param name="AdvEncCD" value="color_16bpp">&#10;      <param name="InFrame" value="yes">&#10;      <param name="bgcolor" value="#a0c0d0">&#10;      <div class="error"><br>Browser has no Java!</div>&#10;    </applet></embed>                                                                                   
Wrote 2498 bytes to pipe                                                                                                                                  
ICEDTEA PLUGIN: Instance::SendMessageToAppletViewer return                                                                                                
SETTING PEER!!!: 0x7f0c48572240                                                                                                                           
DONE SETTING PEER!!!: 0x7f0c48572240                                                                                                                      
ICEDTEA PLUGIN: Instance::Initialize return                                                                                                               
NOT IMPLEMENTED: virtual nsresult IcedTeaPluginInstance::Start()                                                                                          
ICEDTEA PLUGIN: Instance::GetValue                                                                                                                        
ICEDTEA PLUGIN: Instance::GetValue return                                                                                                                 
GETTING PEER!!!: 0x7f0c48572240                                                                                                                           
DONE GETTING PEER!!!: 0x7f0c48572240, 0x7f0c48572240                                                                                                      
ICEDTEA PLUGIN: Factory::GetValue                                                                                                                         
ICEDTEA PLUGIN: Factory::GetValue return                                                                                                                  
ICEDTEA PLUGIN: Instance::GetValue                                                                                                                        
ICEDTEA PLUGIN: Instance::GetValue return                                                                                                                 
ICEDTEA PLUGIN: Instance::SetWindow                                                                                                                       
ICEDTEA PLUGIN: Instance::SetWindow: setting window.                                                                                                      
ICEDTEA PLUGIN: Instance::SendMessageToAppletViewer                                                                                                       
Writing to JVM: instance 1 handle 48236473                                                                                                                
Wrote 27 bytes to pipe                                                                                                                                    
ICEDTEA PLUGIN: Instance::SendMessageToAppletViewer return                                                                                                
ICEDTEA PLUGIN: Instance::SetWindow return                                                                                                                
ICEDTEA PLUGIN: Instance::GetJavaObject                                                                                                                   
IcedTeaPluginInstance::GetJavaObject: Instance 0x7f0c48ff2c20 waiting for initialization...                                                               
ICEDTEA PLUGIN: plugin_in_pipe_callback                                                                                                                   
Received message: instance 1 status starting applet...                                                                                                    
  PIPE: plugin read: instance 1 status starting applet...                                                                                                 
ICEDTEA PLUGIN: Instance::ConsumeMsgFromJVM                                                                                                               
received message: instance 1 status starting applet...                                                                                                    
Processing complete                                                                                                                                       
ICEDTEA PLUGIN: Instance::ConsumeMsgFromJVM return                                                                                                        
Pending event processed (this) ... 1                                                                                                                      
ICEDTEA PLUGIN: plugin_in_pipe_callback return                                                                                                            
ICEDTEA PLUGIN: plugin_in_pipe_callback                                                                                                                   
Received message: instance 1 reference -1 fatalError Initialization failed                                                                                
  PIPE: plugin read: instance 1 reference -1 fatalError Initialization failed                                                                             
ICEDTEA PLUGIN: Instance::ConsumeMsgFromJVM                                                                                                               
received message: instance 1 reference -1 fatalError Initialization failed                                                                                
Setting instance.fatalErrorOccurred for 0x7f0c48ff2c20 from 0 to 1...                                                                                     
Processing complete                                                                                                                                       
ICEDTEA PLUGIN: Instance::ConsumeMsgFromJVM return                                                                                                        
ICEDTEA PLUGIN: plugin_in_pipe_callback return                                                                                                            
Instance 0x7f0c48ff2c20 initialization complete...
Sending object message: instance 1 reference 0 GetJavaObject
ICEDTEA PLUGIN: Instance::SendMessageToAppletViewer
Writing to JVM: instance 1 reference 0 GetJavaObject
Wrote 37 bytes to pipe
ICEDTEA PLUGIN: Instance::SendMessageToAppletViewer return
ICEDTEA PLUGIN: plugin_in_pipe_callback
Received message: context 0 reference 0 GetJavaObject 0
  PIPE: plugin read: context 0 reference 0 GetJavaObject 0
ICEDTEA PLUGIN: plugin_in_pipe_callback return
ICEDTEA PLUGIN: Instance::ConsumeMsgFromJVM
received message: context 0 reference 0 GetJavaObject 0
Time elapsed = 38988
Patrsed integer: 0
ICEDTEA PLUGIN: parse integer
Processing complete
ICEDTEA PLUGIN: Instance::ConsumeMsgFromJVM return
ICEDTEA PLUGIN: plugin_in_pipe_callback
Received message: instance 1 status exception: java.lang.NullPointerException.
  PIPE: plugin read: instance 1 status exception: java.lang.NullPointerException.
ICEDTEA PLUGIN: plugin_in_pipe_callback return
ICEDTEA PLUGIN: Instance::ConsumeMsgFromJVM
received message: instance 1 status exception: java.lang.NullPointerException.
Processing complete
ICEDTEA PLUGIN: Instance::ConsumeMsgFromJVM return
ICEDTEA PLUGIN: plugin_in_pipe_callback
Received message: instance 1 status Start: applet not initialized.
  PIPE: plugin read: instance 1 status Start: applet not initialized.
ICEDTEA PLUGIN: plugin_in_pipe_callback return
Pending event processed (this) ... 1
ICEDTEA PLUGIN: Instance::ConsumeMsgFromJVM
received message: instance 1 status Start: applet not initialized.
Processing complete
ICEDTEA PLUGIN: Instance::ConsumeMsgFromJVM return
Comment 11 Stefan Neufeind 2009-02-24 15:08:51 EST
Created attachment 333085 [details]
java.stderr for comment #10
Comment 12 Deepak Bhole 2009-02-24 15:22:59 EST
Hmm, I wonder if this is just a timeout issue. I did a scratch build yesterday that incorporates a fix for the small timeout. Is it possible for you to try with that version?

The build is here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1149662
Comment 13 Stefan Neufeind 2009-02-25 17:52:31 EST
Still the same nullpointer-exception, even after upgrading. Let me know if you might need debug-output with the new build.
Comment 14 Deepak Bhole 2009-02-26 16:48:38 EST
Hmm, that is odd. Can you post debug output from http run (the success full one) and then from a failing https one? I want to compare the two.

Sorry for having to go back and forth so much like this.. but the debug output is not saying much :(
Comment 15 Stefan Neufeind 2009-02-26 17:35:35 EST
Created attachment 333402 [details]
stderr-output when run via http (to comment #15)
Comment 16 Stefan Neufeind 2009-02-26 17:40:26 EST
attached stderr-output for a run via http. Don't see anything strange there. :-(

I also tried putting the html-file as well as the java-classes on a normal http/https-server. However the error doesn't seem to occur then, only when it is able to connect to the screen.

I suspect you don't have a Supermicro KVM daughter-board (or a Peppercon Lara or so) handy to test with? :-(
Comment 17 Charles R. Anderson 2009-02-26 18:27:42 EST
Created attachment 333407 [details]
Avocent KVM java.stdout

I don't think Stefan's bug is the same as the one I originally opened this bugzilla for, which is an Avocent KVM switch.  Here are my attempts with java-1.6.0openjdk-*10.b14.fc11.i386.rpm.  I get asked to specify the "NetX cache directory", followed by a dialog box that says "The following launch parameters were not correct: Title not specified.   The Video Viewer cannot be started."
Comment 18 Charles R. Anderson 2009-02-26 18:29:38 EST
Created attachment 333408 [details]
Avocent KVM java.stderr
Comment 19 Charles R. Anderson 2009-02-26 18:31:16 EST
Created attachment 333409 [details]
Avocent KVM firefox terminal output
Comment 20 Charles R. Anderson 2009-05-13 18:20:35 EDT
The Avocent KVM viewer applet still doesn't work on rawhide/F11.  The symptoms are the same.

java-1.6.0-openjdk-1.6.0.0-20.b14.fc11.x86_64
java-1.6.0-openjdk-debuginfo-1.6.0.0-20.b14.fc11.x86_64
java-1.6.0-openjdk-plugin-1.6.0.0-20.b14.fc11.x86_64
Comment 21 Charles R. Anderson 2009-05-13 19:23:19 EDT
Created attachment 343888 [details]
Avocent KVM java.stdout
Comment 22 Charles R. Anderson 2009-05-13 19:23:49 EDT
Created attachment 343889 [details]
Avocent KVM java.stderr
Comment 23 Charles R. Anderson 2009-05-13 19:26:39 EDT
Created attachment 343890 [details]
Avocent KVM firefox stdout
Comment 24 Bug Zapper 2009-06-09 05:52:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 25 Colin.Simpson 2009-09-04 11:43:57 EDT
This was working for me but has recently broken again with the error from the Java GUI "Network connect error". Works fine with sun JRE.
Comment 26 Charles R. Anderson 2009-09-04 12:13:59 EDT
What version of Avocent KVM software are you using?  Are you connecting directly to the Avocent KVM appliance (using it's embedded webserver which serves up its Java applet) or are you using Avocent DSView software on a commodity server to serve up the Java applet and connect to the KVM appliance?  If you are using DSView, which version?

Thanks.
Comment 27 Colin.Simpson 2009-09-04 12:45:44 EDT
I'm connecting directly to the KVM embedded webserver of an Avocent DSR2030. 

Click on the machine and then click KVM session. It comes up with Opening kvm.cgi in a firefox dialog. If I point it to open with /usr/bin/javaws (linked off to /etc/alternatives/javaws and then /etc/alternatives/javaws -> /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/bin/javaws). I just get the error "Network connect error." from the Java app.

If I point the dialog /usr/java/jre1.6.0_13/bin/javaws it opens the KVM session fine.

Package involved is:
java-1.6.0-openjdk-1.6.0.0-27.b16.fc11.x86_64

The working Sun jre is:
jre-1.6.0_13-fcs.x86_64
Comment 28 Paul Stauffer 2009-10-28 16:34:13 EDT
FWIW, we're seeing the same symptoms as Comment #25 ("Network connect error") on Fedora 11 with java-1.6.0-openjdk-1.6.0.0-29.b16.fc11.x86_64, connecting to an APC AP5610 KVM.
Comment 29 Nilesh Patil 2009-11-11 11:50:13 EST
even we are seeing same problem on f11 with same version Paul Stauffer Comment #28. 

nilesh
Comment 30 Chris Wright 2009-11-19 13:26:32 EST
We too are seeing "Network connect error" when connect to a Avocent DSR8020 on f12.

java-1.6.0-openjdk-1.6.0.0-33.b16.fc12.x86_64
java-1.6.0-openjdk-plugin-1.6.0.0-33.b16.fc12.x86_64
Comment 31 Chris Wright 2009-11-19 13:29:25 EST
Created attachment 372309 [details]
output from manually running javaws -verbose kvm.cgi

Is there bettter debugging info that would help?
Comment 32 Colin.Simpson 2009-11-23 11:01:58 EST
I still get "Network connect error" too on Fedora 12. This issue probably also needs changed to "Fedora 12".
Comment 33 Fabrice Bellet 2009-11-25 13:14:31 EST
According to comment #31, and with the help of http://java.sun.com/developer/onlineTraining/Programming/JDCBook/appA.html , creating a file ~/.java.policy with the following lines makes it work for me (Avocent 3200, java-1.6.0-openjdk-plugin, Fedora 12):

grant {
   permission java.security.SecurityPermission 
   	"putProviderProperty.SunJCE";

   permission java.lang.RuntimePermission
        "accessClassInPackage.sun.security.internal.spec";

   permission java.lang.RuntimePermission
        "accessClassInPackage.sun.security.rsa";

   permission java.lang.RuntimePermission
        "accessClassInPackage.sun.security.internal.interfaces";
};
Comment 34 Chris Wright 2009-11-25 15:01:25 EST
(In reply to comment #33)
> creating a file ~/.java.policy with the following lines makes it work for me

Thanks, that works for me as well.
Comment 35 Colin.Simpson 2009-11-26 05:10:42 EST
Also works for me with this file, did something change that now makes this file necessary?
Comment 36 Wesley Harrell 2010-01-07 12:13:52 EST
The .java.policy file mentioned in Comment #33 does not work for me, however running javaws with the -nosecurity arg does work, eg:

javaws -nosecurity file.jnlp

This is on the APC AP5610 KVM mentioned by Paul in Comment #28
Comment 37 Wesley Harrell 2010-01-07 12:27:32 EST
(In reply to comment #36)
> The .java.policy file mentioned in Comment #33 does not work for me
> 
> This is on the APC AP5610 KVM mentioned by Paul in Comment #28  

A bit of fiddling with the debug output and editing the .java.policy file shows the following works for the APC AP5610:

grant {
   permission java.security.SecurityPermission 
    "putProviderProperty.SunJCE";
   
   permission java.lang.RuntimePermission 
   "accessClassInPackage.sun.security.util";

   permission java.lang.RuntimePermission
   "accessClassInPackage.sun.security.internal.spec";

   permission java.lang.RuntimePermission
   "accessClassInPackage.sun.security.internal.interfaces";
};
Comment 38 Chris Lalancette 2010-02-23 15:27:55 EST
Just adding a "me too"; combining the .java.policy files from Comment #31 and Comment #37 makes it work for me.

Chris Lalancette
Comment 39 cyrushmh 2010-03-08 01:23:46 EST
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x05bc28b8, pid=2458, tid=55061360
#
# JRE version: 6.0-b16
# Java VM: OpenJDK Client VM (14.0-b16 mixed mode linux-x86 )
# Distribution: Custom build (Thu Nov 12 09:49:25 EST 2009)
# Problematic frame:
# C  [libX11.so.6+0x488b8]  XmbResetIC+0x18
#
# If you would like to submit a bug report, please include
# instructions how to reproduce the bug and visit:
#   http://icedtea.classpath.org/bugzilla
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#

---------------  T H R E A D  ---------------

Current thread (0x933e7c00):  JavaThread "AWT-EventQueue-1" [_thread_in_native, id=2476, stack(0x03432000,0x03483000)]

siginfo:si_signo=SIGSEGV: si_errno=0, si_code=1 (SEGV_MAPERR), si_addr=0x0000027d

Registers:
EAX=0x00000269, EBX=0x007d6574, ECX=0x00000003, EDX=0x9263cf30
ESP=0x03481590, EBP=0x034815a8, ESI=0x933e7d10, EDI=0x007d7cd8
EIP=0x05bc28b8, CR2=0x0000027d, EFLAGS=0x00010206

Top of Stack: (sp=0x03481590)
0x03481590:   9263cf30 03481594 b3a25bc2 007d6574
0x034815a0:   933e7d10 007d7cd8 034815e8 007ac1bc
0x034815b0:   9263cf30 b7760b38 b7755440 b3efeea6
0x034815c0:   034815e4 b3f02450 00000000 b3efeed0
0x034815d0:   00000000 9627a158 007ac16b b440eb70
0x034815e0:   b440eb6c 933e7c00 0348161c 0143bf4d
0x034815f0:   933e7d10 0348162c 03481624 034815fc
0x03481600:   00000000 0348162c b4410bc0 00000000 

Instructions: (pc=0x05bc28b8)
0x05bc28a8:   e8 8b 55 08 8b 4a 04 85 c9 74 08 8b 02 89 14 24
0x05bc28b8:   ff 50 14 c9 c3 8d 76 00 55 31 c0 89 e5 8d 64 24 

Stack: [0x03432000,0x03483000],  sp=0x03481590,  free space=317k
Native frames: (J=compiled Java code, j=interpreted, Vv=VM code, C=native code)
C  [libX11.so.6+0x488b8]  XmbResetIC+0x18
C  [libmawt.so+0x191bc]  Java_sun_awt_X11InputMethod_resetXIC+0x5c
j  sun.awt.X11InputMethod.resetXIC()Ljava/lang/String;+0
j  sun.awt.X11InputMethod.endComposition()V+54
j  sun.awt.im.InputContext.endComposition()V+11
j  sun.awt.im.InputContext.focusGained(Ljava/awt/Component;)V+81
J  sun.awt.im.InputContext.dispatchEvent(Ljava/awt/AWTEvent;)V
J  sun.awt.im.InputMethodContext.dispatchEvent(Ljava/awt/AWTEvent;)V
J  java.awt.Component.dispatchEventImpl(Ljava/awt/AWTEvent;)V
J  java.awt.Container.dispatchEventImpl(Ljava/awt/AWTEvent;)V
J  java.awt.Component.dispatchEvent(Ljava/awt/AWTEvent;)V
j  java.awt.KeyboardFocusManager.redispatchEvent(Ljava/awt/Component;Ljava/awt/AWTEvent;)V+7
j  java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(Ljava/awt/Component;Ljava/awt/AWTEvent;)Z+352
J  java.awt.DefaultKeyboardFocusManager.dispatchEvent(Ljava/awt/AWTEvent;)Z
J  java.awt.Component.dispatchEventImpl(Ljava/awt/AWTEvent;)V
J  java.awt.Container.dispatchEventImpl(Ljava/awt/AWTEvent;)V
J  java.awt.EventQueue.dispatchEvent(Ljava/awt/AWTEvent;)V
J  de.resolution.emsgui.EMSGUI$PopupFixQueue.dispatchEvent(Ljava/awt/AWTEvent;)V
J  java.awt.EventDispatchThread.pumpOneEventForFilters(I)Z
j  java.awt.EventDispatchThread.pumpEventsForFilter(ILjava/awt/Conditional;Ljava/awt/EventFilter;)V+30
j  java.awt.EventDispatchThread.pumpEventsForHierarchy(ILjava/awt/Conditional;Ljava/awt/Component;)V+11
j  java.awt.EventDispatchThread.pumpEvents(ILjava/awt/Conditional;)V+4
j  java.awt.EventDispatchThread.pumpEvents(Ljava/awt/Conditional;)V+3
j  java.awt.EventDispatchThread.run()V+9
v  ~StubRoutines::call_stub
V  [libjvm.so+0x1dbd45]
V  [libjvm.so+0x2be4a9]
V  [libjvm.so+0x1dac3f]
V  [libjvm.so+0x1db11a]
V  [libjvm.so+0x1db2aa]
V  [libjvm.so+0x22b822]
V  [libjvm.so+0x3655b0]
V  [libjvm.so+0x365723]
V  [libjvm.so+0x2c4471]
C  [libpthread.so.0+0x5ab5]

Java frames: (J=compiled Java code, j=interpreted, Vv=VM code)
j  sun.awt.X11InputMethod.resetXIC()Ljava/lang/String;+0
j  sun.awt.X11InputMethod.endComposition()V+54
j  sun.awt.im.InputContext.endComposition()V+11
j  sun.awt.im.InputContext.focusGained(Ljava/awt/Component;)V+81
J  sun.awt.im.InputContext.dispatchEvent(Ljava/awt/AWTEvent;)V
J  sun.awt.im.InputMethodContext.dispatchEvent(Ljava/awt/AWTEvent;)V
J  java.awt.Component.dispatchEventImpl(Ljava/awt/AWTEvent;)V
J  java.awt.Container.dispatchEventImpl(Ljava/awt/AWTEvent;)V
J  java.awt.Component.dispatchEvent(Ljava/awt/AWTEvent;)V
j  java.awt.KeyboardFocusManager.redispatchEvent(Ljava/awt/Component;Ljava/awt/AWTEvent;)V+7
j  java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(Ljava/awt/Component;Ljava/awt/AWTEvent;)Z+352
J  java.awt.DefaultKeyboardFocusManager.dispatchEvent(Ljava/awt/AWTEvent;)Z
J  java.awt.Component.dispatchEventImpl(Ljava/awt/AWTEvent;)V
J  java.awt.Container.dispatchEventImpl(Ljava/awt/AWTEvent;)V
J  java.awt.EventQueue.dispatchEvent(Ljava/awt/AWTEvent;)V
J  de.resolution.emsgui.EMSGUI$PopupFixQueue.dispatchEvent(Ljava/awt/AWTEvent;)V
J  java.awt.EventDispatchThread.pumpOneEventForFilters(I)Z
j  java.awt.EventDispatchThread.pumpEventsForFilter(ILjava/awt/Conditional;Ljava/awt/EventFilter;)V+30
j  java.awt.EventDispatchThread.pumpEventsForHierarchy(ILjava/awt/Conditional;Ljava/awt/Component;)V+11
j  java.awt.EventDispatchThread.pumpEvents(ILjava/awt/Conditional;)V+4
j  java.awt.EventDispatchThread.pumpEvents(Ljava/awt/Conditional;)V+3
j  java.awt.EventDispatchThread.run()V+9
v  ~StubRoutines::call_stub

---------------  P R O C E S S  ---------------

Java Threads: ( => current thread )
  0x086a0c00 JavaThread "TimeOuterFirer" daemon [_thread_blocked, id=2558, stack(0x083e6000,0x08437000)]
  0x0869f400 JavaThread "TimeOuterFirer" daemon [_thread_blocked, id=2557, stack(0x0378b000,0x037dc000)]
  0x08691c00 JavaThread "Stream read from stream" [_thread_in_native, id=2518, stack(0x044b2000,0x04503000)]
  0x0868c000 JavaThread "TimeOuterFirer" daemon [_thread_blocked, id=2512, stack(0x03698000,0x036e9000)]
  0x0868a800 JavaThread "TimeOuterFirer" daemon [_thread_blocked, id=2511, stack(0x03647000,0x03698000)]
  0x08687800 JavaThread "TimeOuterFirer" daemon [_thread_blocked, id=2510, stack(0x04197000,0x041e8000)]
  0x08688c00 JavaThread "Port" [_thread_in_native, id=2507, stack(0x05785000,0x057d6000)]
  0x08680800 JavaThread "Port" [_thread_in_native, id=2506, stack(0x05f65000,0x05fb6000)]
  0x08682400 JavaThread "TimeOuterFirer" daemon [_thread_blocked, id=2498, stack(0x035a5000,0x035f6000)]
  0x0867e000 JavaThread "TimeOuterFirer" daemon [_thread_blocked, id=2497, stack(0x05d79000,0x05dca000)]
  0x91d71400 JavaThread "TimeOuterFirer" daemon [_thread_blocked, id=2496, stack(0x035f6000,0x03647000)]
  0x9260ac00 JavaThread "Thread-13" [_thread_in_native, id=2489, stack(0x03554000,0x035a5000)]
  0x92631000 JavaThread "TimerQueue" daemon [_thread_blocked, id=2484, stack(0x04760000,0x047b1000)]
  0xb7705000 JavaThread "DestroyJavaVM" [_thread_blocked, id=2459, stack(0x004d7000,0x00528000)]
  0x9270a000 JavaThread "TimeOuterFirer" daemon [_thread_blocked, id=2481, stack(0x034d4000,0x03525000)]
  0x92708800 JavaThread "TimeOuterFirer" daemon [_thread_blocked, id=2480, stack(0x073c0000,0x07411000)]
  0x92707800 JavaThread "TimeOuterFirer" daemon [_thread_blocked, id=2479, stack(0x07c3f000,0x07c90000)]
  0x933eb400 JavaThread "Thread-3" daemon [_thread_blocked, id=2477, stack(0x03483000,0x034d4000)]
=>0x933e7c00 JavaThread "AWT-EventQueue-1" [_thread_in_native, id=2476, stack(0x03432000,0x03483000)]
  0x933c8000 JavaThread "AWT-Shutdown" [_thread_blocked, id=2475, stack(0x07864000,0x078b5000)]
  0x933ac400 JavaThread "TimeOuter correctTime" daemon [_thread_blocked, id=2474, stack(0x05602000,0x05653000)]
  0x9339cc00 JavaThread "TimeOuter" daemon [_thread_blocked, id=2473, stack(0x054a3000,0x054f4000)]
  0x9339b000 JavaThread "AWT-XAWT" daemon [_thread_in_native, id=2468, stack(0x05687000,0x056d8000)]
  0x93326c00 JavaThread "Java2D Disposer" daemon [_thread_blocked, id=2467, stack(0x00b35000,0x00b86000)]
  0xb776f000 JavaThread "Low Memory Detector" daemon [_thread_blocked, id=2465, stack(0x0069c000,0x006ed000)]
  0xb776d000 JavaThread "CompilerThread0" daemon [_thread_blocked, id=2464, stack(0x0061b000,0x0069c000)]
  0xb776b800 JavaThread "Signal Dispatcher" daemon [_thread_blocked, id=2463, stack(0x005ca000,0x0061b000)]
  0xb775b400 JavaThread "Finalizer" daemon [_thread_blocked, id=2462, stack(0x00579000,0x005ca000)]
  0xb7759c00 JavaThread "Reference Handler" daemon [_thread_blocked, id=2461, stack(0x00528000,0x00579000)]

Other Threads:
  0xb7756c00 VMThread [stack: 0x00441000,0x004c2000] [id=2460]
  0xb7771000 WatcherThread [stack: 0x00712000,0x00793000] [id=2466]

VM state:not at safepoint (normal execution)

VM Mutex/Monitor currently owned by a thread: None

Heap
 def new generation   total 960K, used 795K [0x93700000, 0x93800000, 0x95e60000)
  eden space 896K,  88% used [0x93700000, 0x937c58d0, 0x937e0000)
  from space 64K,   8% used [0x937f0000, 0x937f14a8, 0x93800000)
  to   space 64K,   0% used [0x937e0000, 0x937e0000, 0x937f0000)
 tenured generation   total 11428K, used 9774K [0x95e60000, 0x96989000, 0xb3700000)
   the space 11428K,  85% used [0x95e60000, 0x967eba78, 0x967ebc00, 0x96989000)
 compacting perm gen  total 15872K, used 15627K [0xb3700000, 0xb4680000, 0xb7700000)
   the space 15872K,  98% used [0xb3700000, 0xb4642cb8, 0xb4642e00, 0xb4680000)
No shared spaces configured.

Dynamic libraries:
00110000-00138000 r-xp 00000000 08:01 35966      /lib/libm-2.11.1.so
00138000-00139000 r--p 00027000 08:01 35966      /lib/libm-2.11.1.so
00139000-0013a000 rw-p 00028000 08:01 35966      /lib/libm-2.11.1.so
0013a000-00145000 r-xp 00000000 08:01 41308      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libverify.so
00145000-00146000 rw-p 0000b000 08:01 41308      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libverify.so
00146000-00168000 r-xp 00000000 08:01 41289      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libjava.so
00168000-0016a000 rw-p 00022000 08:01 41289      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libjava.so
0016a000-00170000 r-xp 00000000 08:01 41309      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libzip.so
00170000-00171000 rw-p 00006000 08:01 41309      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libzip.so
00171000-00172000 rwxp 00000000 00:00 0 
00172000-00184000 rwxp 00000000 00:00 0 
00184000-0018b000 rwxp 00000000 00:00 0 
0018b000-00271000 rwxp 00000000 00:00 0 
00271000-00279000 rwxp 00000000 00:00 0 
00279000-00291000 rwxp 00000000 00:00 0 
00291000-00298000 rwxp 00000000 00:00 0 
00298000-0037f000 rwxp 00000000 00:00 0 
0037f000-00387000 rwxp 00000000 00:00 0 
00387000-003a0000 rwxp 00000000 00:00 0 
003a0000-003b0000 r-xp 00000000 08:01 36017      /usr/lib/libXext.so.6.4.0
003b0000-003b1000 rw-p 00010000 08:01 36017      /usr/lib/libXext.so.6.4.0
003b1000-003b9000 r-xp 00000000 08:01 36012      /usr/lib/libXrender.so.1.3.0
003b9000-003ba000 rw-p 00008000 08:01 36012      /usr/lib/libXrender.so.1.3.0
003ba000-003be000 r-xp 00000000 08:01 36021      /usr/lib/libXfixes.so.3.1.0
003be000-003bf000 rw-p 00003000 08:01 36021      /usr/lib/libXfixes.so.3.1.0
003bf000-003c0000 r--p 00000000 00:00 0 
003c1000-003cb000 rwxp 00000000 00:00 0 
003cb000-00441000 rwxp 00000000 00:00 0 
00441000-00442000 ---p 00000000 00:00 0 
00442000-004c2000 rwxp 00000000 00:00 0 
004c2000-004cf000 r-xp 00000000 08:01 36019      /usr/lib/libXi.so.6.1.0
004cf000-004d0000 rw-p 0000d000 08:01 36019      /usr/lib/libXi.so.6.1.0
004d7000-004da000 ---p 00000000 00:00 0 
004da000-00528000 rwxp 00000000 00:00 0 
00528000-0052b000 ---p 00000000 00:00 0 
0052b000-00579000 rwxp 00000000 00:00 0 
00579000-0057c000 ---p 00000000 00:00 0 
0057c000-005ca000 rwxp 00000000 00:00 0 
005ca000-005cd000 ---p 00000000 00:00 0 
005cd000-0061b000 rwxp 00000000 00:00 0 
0061b000-0061e000 ---p 00000000 00:00 0 
0061e000-0069c000 rwxp 00000000 00:00 0 
0069c000-0069f000 ---p 00000000 00:00 0 
0069f000-006ed000 rwxp 00000000 00:00 0 
006ed000-00700000 r-xp 00000000 08:01 41300      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libnet.so
00700000-00701000 rw-p 00013000 08:01 41300      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libnet.so
00705000-00710000 r-xp 00000000 08:01 3547       /lib/libnss_files-2.11.1.so
00710000-00711000 r--p 0000a000 08:01 3547       /lib/libnss_files-2.11.1.so
00711000-00712000 rw-p 0000b000 08:01 3547       /lib/libnss_files-2.11.1.so
00712000-00713000 ---p 00000000 00:00 0 
00713000-00793000 rwxp 00000000 00:00 0 
00793000-007d6000 r-xp 00000000 08:01 41316      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/xawt/libmawt.so
007d6000-007d8000 rw-p 00043000 08:01 41316      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/xawt/libmawt.so
007d8000-007d9000 rw-p 00000000 00:00 0 
007d9000-007f6000 r-xp 00000000 08:01 4118       /lib/libgcc_s-4.4.3-20100127.so.1
007f6000-007f7000 rw-p 0001c000 08:01 4118       /lib/libgcc_s-4.4.3-20100127.so.1
007f7000-007fe000 r-xp 00000000 08:01 41301      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libnio.so
007fe000-007ff000 rw-p 00006000 08:01 41301      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libnio.so
00802000-00808000 r-xp 00000000 08:01 41310      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/native_threads/libhpi.so
00808000-00809000 rw-p 00006000 08:01 41310      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/native_threads/libhpi.so
00809000-00812000 r-xp 00000000 08:01 36022      /usr/lib/libXcursor.so.1.0.2
00812000-00813000 rw-p 00009000 08:01 36022      /usr/lib/libXcursor.so.1.0.2
00813000-0081b000 r-xp 00000000 08:01 41293      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libjpeg.so
0081b000-0081c000 rw-p 00007000 08:01 41293      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libjpeg.so
00835000-00853000 r-xp 00000000 08:01 35882      /lib/ld-2.11.1.so
00853000-00854000 r--p 0001d000 08:01 35882      /lib/ld-2.11.1.so
00854000-00855000 rw-p 0001e000 08:01 35882      /lib/ld-2.11.1.so
00857000-009c6000 r-xp 00000000 08:01 35883      /lib/libc-2.11.1.so
009c6000-009c8000 r--p 0016e000 08:01 35883      /lib/libc-2.11.1.so
009c8000-009c9000 rw-p 00170000 08:01 35883      /lib/libc-2.11.1.so
009c9000-009cc000 rw-p 00000000 00:00 0 
009ce000-009d1000 r-xp 00000000 08:01 35915      /lib/libdl-2.11.1.so
009d1000-009d2000 r--p 00002000 08:01 35915      /lib/libdl-2.11.1.so
009d2000-009d3000 rw-p 00003000 08:01 35915      /lib/libdl-2.11.1.so
009d5000-009eb000 r-xp 00000000 08:01 35884      /lib/libpthread-2.11.1.so
009eb000-009ec000 r--p 00015000 08:01 35884      /lib/libpthread-2.11.1.so
009ec000-009ed000 rw-p 00016000 08:01 35884      /lib/libpthread-2.11.1.so
009ed000-009ef000 rw-p 00000000 00:00 0 
009f1000-009f4000 r-xp 00000000 08:01 4129       /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/jli/libjli.so
009f4000-009f5000 rw-p 00002000 08:01 4129       /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/jli/libjli.so
00a1d000-00a2f000 r-xp 00000000 08:01 36007      /lib/libz.so.1.2.3
00a2f000-00a30000 rw-p 00011000 08:01 36007      /lib/libz.so.1.2.3
00a32000-00a39000 r-xp 00000000 08:01 35888      /lib/librt-2.11.1.so
00a39000-00a3a000 r--p 00006000 08:01 35888      /lib/librt-2.11.1.so
00a3a000-00a3b000 rw-p 00007000 08:01 35888      /lib/librt-2.11.1.so
00a3b000-00abd000 r-xp 00000000 08:01 41280      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libawt.so
00abd000-00ac4000 rw-p 00081000 08:01 41280      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libawt.so
00ac4000-00ae8000 rw-p 00000000 00:00 0 
00ae8000-00b2e000 r-xp 00000000 08:01 41282      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libfontmanager.so
00b2e000-00b30000 rw-p 00046000 08:01 41282      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libfontmanager.so
00b30000-00b35000 rw-p 00000000 00:00 0 
00b35000-00b38000 ---p 00000000 00:00 0 
00b38000-00b86000 rwxp 00000000 00:00 0 
00baf000-00bb1000 r-xp 00000000 08:01 36009      /usr/lib/libXau.so.6.0.0
00bb1000-00bb2000 rw-p 00001000 08:01 36009      /usr/lib/libXau.so.6.0.0
00bb4000-00bd1000 r-xp 00000000 08:01 36010      /usr/lib/libxcb.so.1.1.0
00bd1000-00bd2000 rw-p 0001c000 08:01 36010      /usr/lib/libxcb.so.1.1.0
00bfa000-00bfb000 r-xp 00000000 00:00 0          [vdso]
00bfb000-00ff0000 r-xp 00000000 08:01 41273      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/client/libjvm.so
00ff0000-01013000 rw-p 003f4000 08:01 41273      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/client/libjvm.so
01013000-01432000 rw-p 00000000 00:00 0 
01432000-0169a000 rwxp 00000000 00:00 0 
0169a000-03432000 rwxp 00000000 00:00 0 
03432000-03435000 ---p 00000000 00:00 0 
03435000-03483000 rwxp 00000000 00:00 0          [threadstack:0004d494]
03483000-03486000 ---p 00000000 00:00 0 
03486000-034d4000 rwxp 00000000 00:00 0 
034d4000-034d7000 ---p 00000000 00:00 0 
034d7000-03525000 rwxp 00000000 00:00 0 
03525000-03551000 r-xp 00000000 08:01 41297      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/liblcms.so
03551000-03552000 rw-p 0002c000 08:01 41297      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/liblcms.so
03552000-03554000 rw-p 00000000 00:00 0 
03554000-03557000 ---p 00000000 00:00 0 
03557000-035a5000 rwxp 00000000 00:00 0 
035a5000-035a8000 ---p 00000000 00:00 0 
035a8000-035f6000 rwxp 00000000 00:00 0 
035f6000-035f9000 ---p 00000000 00:00 0 
035f9000-03647000 rwxp 00000000 00:00 0 
03647000-0364a000 ---p 00000000 00:00 0 
0364a000-03698000 rwxp 00000000 00:00 0 
03698000-0369b000 ---p 00000000 00:00 0 
0369b000-036e9000 rwxp 00000000 00:00 0 
036e9000-036ec000 rwxp 00000000 00:00 0 
036ec000-0373a000 rwxp 00000000 00:00 0 
0373a000-0373d000 rwxp 00000000 00:00 0 
0373d000-0378b000 rwxp 00000000 00:00 0 
0378b000-0378e000 ---p 00000000 00:00 0 
0378e000-037dc000 rwxp 00000000 00:00 0 
037dc000-037df000 rwxp 00000000 00:00 0 
037df000-0382d000 rwxp 00000000 00:00 0 
04197000-0419a000 ---p 00000000 00:00 0 
0419a000-041e8000 rwxp 00000000 00:00 0 
044b2000-044b5000 ---p 00000000 00:00 0 
044b5000-04503000 rwxp 00000000 00:00 0 
04760000-04763000 ---p 00000000 00:00 0 
04763000-047b1000 rwxp 00000000 00:00 0 
04dca000-04dcd000 rwxp 00000000 00:00 0 
04dcd000-04e1b000 rwxp 00000000 00:00 0 
04e70000-04e75000 r-xp 00000000 08:01 36060      /usr/lib/libXtst.so.6.1.0
04e75000-04e76000 rw-p 00004000 08:01 36060      /usr/lib/libXtst.so.6.1.0
04eff000-04f21000 r-xp 00000000 08:01 5158       /usr/lib/libjpeg.so.62.0.0
04f21000-04f22000 rw-p 00022000 08:01 5158       /usr/lib/libjpeg.so.62.0.0
0525a000-05271000 r-xp 00000000 08:01 36033      /lib/libnsl-2.11.1.so
05271000-05272000 r--p 00016000 08:01 36033      /lib/libnsl-2.11.1.so
05272000-05273000 rw-p 00017000 08:01 36033      /lib/libnsl-2.11.1.so
05273000-05275000 rw-p 00000000 00:00 0 
054a3000-054a6000 ---p 00000000 00:00 0 
054a6000-054f4000 rwxp 00000000 00:00 0 
05602000-05605000 ---p 00000000 00:00 0 
05605000-05653000 rwxp 00000000 00:00 0 
05687000-0568a000 ---p 00000000 00:00 0 
0568a000-056d8000 rwxp 00000000 00:00 0 
05785000-05788000 ---p 00000000 00:00 0 
05788000-057d6000 rwxp 00000000 00:00 0 
05b7a000-05cae000 r-xp 00000000 08:01 36011      /usr/lib/libX11.so.6.3.0
05cae000-05cb2000 rw-p 00133000 08:01 36011      /usr/lib/libX11.so.6.3.0
05cc9000-05ccc000 rwxp 00000000 00:00 0 
05ccc000-05d1a000 rwxp 00000000 00:00 0 
05d79000-05d7c000 ---p 00000000 00:00 0 
05d7c000-05dca000 rwxp 00000000 00:00 0 
05f65000-05f68000 ---p 00000000 00:00 0 
05f68000-05fb6000 rwxp 00000000 00:00 0 
06266000-062fa000 r-xp 00000000 08:01 36004      /usr/lib/libfreetype.so.6.3.22
062fa000-062fe000 rw-p 00094000 08:01 36004      /usr/lib/libfreetype.so.6.3.22
073c0000-073c3000 ---p 00000000 00:00 0 
073c3000-07411000 rwxp 00000000 00:00 0 
07774000-07777000 rwxp 00000000 00:00 0 
07777000-077c5000 rwxp 00000000 00:00 0 
07864000-07867000 ---p 00000000 00:00 0 
07867000-078b5000 rwxp 00000000 00:00 0 
07b7c000-07b7f000 rwxp 00000000 00:00 0 
07b7f000-07bcd000 rwxp 00000000 00:00 0 
07c3f000-07c42000 ---p 00000000 00:00 0 
07c42000-07c90000 rwxp 00000000 00:00 0 
07f69000-07f6c000 rwxp 00000000 00:00 0 
07f6c000-07fba000 rwxp 00000000 00:00 0 
08048000-08050000 r-xp 00000000 08:01 56249      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/bin/java
08050000-08052000 rw-p 00007000 08:01 56249      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/bin/java
083e6000-083e9000 ---p 00000000 00:00 0 
083e9000-08437000 rwxp 00000000 00:00 0 
0866c000-086b2000 rw-p 00000000 00:00 0          [heap]
91d00000-91d7c000 rw-p 00000000 00:00 0 
91d7c000-91e00000 ---p 00000000 00:00 0 
91f00000-91fff000 rw-p 00000000 00:00 0 
91fff000-92000000 ---p 00000000 00:00 0 
92000000-92100000 rw-p 00000000 00:00 0 
92100000-921fa000 rw-p 00000000 00:00 0 
921fa000-92200000 ---p 00000000 00:00 0 
92200000-922f9000 rw-p 00000000 00:00 0 
922f9000-92300000 ---p 00000000 00:00 0 
92300000-924fd000 rw-p 00000000 00:00 0 
924fd000-92500000 ---p 00000000 00:00 0 
92500000-925b3000 rw-p 00000000 00:00 0 
925b3000-92600000 ---p 00000000 00:00 0 
92600000-92700000 rw-p 00000000 00:00 0 
92700000-927e0000 rw-p 00000000 00:00 0 
927e0000-92800000 ---p 00000000 00:00 0 
92800000-928ff000 rw-p 00000000 00:00 0 
928ff000-92900000 ---p 00000000 00:00 0 
92900000-929ea000 rw-p 00000000 00:00 0 
929ea000-92a00000 ---p 00000000 00:00 0 
92a00000-92b00000 rw-p 00000000 00:00 0 
92c8c000-92c8f000 r--s 00000000 08:01 10312      /var/cache/fontconfig/87f5e051180a7a75f16eb6fe7dbd3749-le32d4.cache-3
92c8f000-92c95000 r--s 00000000 08:01 10227      /var/cache/fontconfig/b79f3aaa7d385a141ab53ec885cc22a8-le32d4.cache-3
92c95000-92c98000 r--s 00000000 08:01 8018       /var/cache/fontconfig/40e3156a2c3253e32a3684e188d01f88-le32d4.cache-3
92c98000-92c9b000 r--s 00000000 08:01 7970       /var/cache/fontconfig/9488d0492251582064a2fd8580f8f82a-le32d4.cache-3
92c9b000-92c9e000 r--s 00000000 08:01 7829       /var/cache/fontconfig/1ad845c7d160adf95bb102b577561fb3-le32d4.cache-3
92c9e000-92ca1000 r--s 00000000 08:01 7698       /var/cache/fontconfig/c86128c2a84b7c2000836063e6bdeb25-le32d4.cache-3
92ca1000-92ca3000 r--s 00000000 08:01 13016      /var/cache/fontconfig/0b1bcc92b4d25cc154d77dafe3bceaa0-le32d4.cache-3
92ca3000-92ca4000 r--s 00000000 08:01 13012      /var/cache/fontconfig/afda88ba2c9de689dfd6d8c6d2e4e427-le32d4.cache-3
92ca4000-92ca7000 r--s 00000000 08:01 13011      /var/cache/fontconfig/4815f7eb892cb239b46faae198c0f9aa-le32d4.cache-3
92ca7000-92ca9000 r--s 00000000 08:01 13008      /var/cache/fontconfig/2e1514a9fdd499050989183bb65136db-le32d4.cache-3
92ca9000-92cab000 r--s 00000000 08:01 13005      /var/cache/fontconfig/5c755b2f27115486aa6359c84dd3cbda-le32d4.cache-3
92cab000-92cac000 r--s 00000000 08:01 13001      /var/cache/fontconfig/3f821257dd33660ba7bbb45c32deb84c-le32d4.cache-3
92cac000-92cae000 r--s 00000000 08:01 12999      /var/cache/fontconfig/830f035fa84a65ce80e050178dbb630d-le32d4.cache-3
92cae000-92caf000 r--s 00000000 08:01 12998      /var/cache/fontconfig/81a173283b451552b599cfaafd6236bd-le32d4.cache-3
92caf000-92cb0000 r--s 00000000 08:01 12996      /var/cache/fontconfig/6cfc7d49b27ba7d3eb71ab86e04def2c-le32d4.cache-3
92cb0000-92cb1000 r--s 00000000 08:01 12749      /var/cache/fontconfig/6fcb01a03a016cc71057b587cdea6709-le32d4.cache-3
92cb1000-92d3f000 r--s 00000000 08:01 12067      /var/cache/fontconfig/93a816e592ae064f279572b51111bf6d-le32d4.cache-3
92d3f000-92d52000 r--s 00000000 08:01 12035      /var/cache/fontconfig/7a7f22e4c6b2236c525eb458794c6fd2-le32d4.cache-3
92d52000-92d53000 r--s 00000000 08:01 11909      /var/cache/fontconfig/b887eea8f1b96e1d899b44ed6681fc27-le32d4.cache-3
92d53000-92d54000 r--s 00000000 08:01 11822      /var/cache/fontconfig/860639f272b8b4b3094f9e399e41bccd-le32d4.cache-3
92d54000-92d55000 r--s 00000000 08:01 11810      /var/cache/fontconfig/211368abcb0ff835c229ff05c9ec01dc-le32d4.cache-3
92d55000-92d56000 r--s 00000000 08:01 11786      /var/cache/fontconfig/c46020d7221988a13df853d2b46304fc-le32d4.cache-3
92d56000-92d57000 r--s 00000000 08:01 11757      /var/cache/fontconfig/d290456e58f67f52b0f8f224126f9ea8-le32d4.cache-3
92d57000-92d58000 r--s 00000000 08:01 11752      /var/cache/fontconfig/b63c21b9c3e5b4a4009aa5966b421593-le32d4.cache-3
92d58000-92d59000 r--s 00000000 08:01 11746      /var/cache/fontconfig/df893b4576ad6107f9397134092c4059-le32d4.cache-3
92d59000-92d5a000 r--s 00000000 08:01 11731      /var/cache/fontconfig/ff627ea95a65192232277bf7c8a56f23-le32d4.cache-3
92d5a000-92d5b000 r--s 00000000 08:01 11729      /var/cache/fontconfig/900402270e15d763a6e008bb2d4c7686-le32d4.cache-3
92d5b000-92d5c000 r--s 00000000 08:01 11726      /var/cache/fontconfig/2881ed3fd21ca306ddad6f9b0dd3189f-le32d4.cache-3
92d5c000-92d5d000 r--s 00000000 08:01 11725      /var/cache/fontconfig/3c3fb04d32a5211b073874b125d29701-le32d4.cache-3
92d5d000-92d5e000 r--s 00000000 08:01 11720      /var/cache/fontconfig/e61abf8156cc476151baa07d67337cae-le32d4.cache-3
92d5e000-92d61000 r--s 00000000 08:01 11713      /var/cache/fontconfig/b67b32625a2bb51b023d3814a918f351-le32d4.cache-3
92d61000-92d62000 r--s 00000000 08:01 11712      /var/cache/fontconfig/d3379abda271c4acd2ad0c01f565d0b0-le32d4.cache-3
92d62000-92d65000 r--s 00000000 08:01 11705      /var/cache/fontconfig/46b47dbc682d2ca4191e148ea7bde7f2-le32d4.cache-3
92d65000-92d66000 r--s 00000000 08:01 11703      /var/cache/fontconfig/b4d0b56f766d89640448751fcd18ec1e-le32d4.cache-3
92d66000-92d67000 r--s 00000000 08:01 11697      /var/cache/fontconfig/f8c8443c839e5c47086d237472617a9b-le32d4.cache-3
92d67000-92d6e000 r--s 00000000 08:01 10780      /var/cache/fontconfig/12b26b760a24f8b4feb03ad48a333a72-le32d4.cache-3
92d6e000-92d74000 r--s 00000000 08:01 10201      /var/cache/fontconfig/928306c3ad40271d946e41014a49fc28-le32d4.cache-3
92d74000-92d7a000 r--s 00000000 08:01 10190      /var/cache/fontconfig/fa1582dab13e7e8e44e5a9424d309f0e-le32d4.cache-3
92d7a000-92d82000 r--s 00000000 08:01 8313       /var/cache/fontconfig/18db0204b1f108dd01663673626fcd3d-le32d4.cache-3
92d82000-92d83000 r--s 00000000 08:01 8258       /var/cache/fontconfig/1248881498ac025e45c3042f6afe9284-le32d4.cache-3
92d83000-92d87000 r--s 00079000 08:01 41333      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/jsse.jar
92d87000-92d8b000 r--s 00076000 08:01 41255      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/ext/localedata.jar
92d8b000-92d8e000 r--s 00000000 08:01 10312      /var/cache/fontconfig/87f5e051180a7a75f16eb6fe7dbd3749-le32d4.cache-3
92d8e000-92d94000 r--s 00000000 08:01 10227      /var/cache/fontconfig/b79f3aaa7d385a141ab53ec885cc22a8-le32d4.cache-3
92d94000-92d97000 r--s 00000000 08:01 8018       /var/cache/fontconfig/40e3156a2c3253e32a3684e188d01f88-le32d4.cache-3
92d97000-92d9a000 r--s 00000000 08:01 7970       /var/cache/fontconfig/9488d0492251582064a2fd8580f8f82a-le32d4.cache-3
92d9a000-92d9d000 r--s 00000000 08:01 7829       /var/cache/fontconfig/1ad845c7d160adf95bb102b577561fb3-le32d4.cache-3
92d9d000-92da0000 r--s 00000000 08:01 7698       /var/cache/fontconfig/c86128c2a84b7c2000836063e6bdeb25-le32d4.cache-3
92da0000-92da2000 r--s 00000000 08:01 13016      /var/cache/fontconfig/0b1bcc92b4d25cc154d77dafe3bceaa0-le32d4.cache-3
92da2000-92da3000 r--s 00000000 08:01 13012      /var/cache/fontconfig/afda88ba2c9de689dfd6d8c6d2e4e427-le32d4.cache-3
92da3000-92da6000 r--s 00000000 08:01 13011      /var/cache/fontconfig/4815f7eb892cb239b46faae198c0f9aa-le32d4.cache-3
92da6000-92da8000 r--s 00000000 08:01 13008      /var/cache/fontconfig/2e1514a9fdd499050989183bb65136db-le32d4.cache-3
92da8000-92daa000 r--s 00000000 08:01 13005      /var/cache/fontconfig/5c755b2f27115486aa6359c84dd3cbda-le32d4.cache-3
92daa000-92dab000 r--s 00000000 08:01 13001      /var/cache/fontconfig/3f821257dd33660ba7bbb45c32deb84c-le32d4.cache-3
92dab000-92dad000 r--s 00000000 08:01 12999      /var/cache/fontconfig/830f035fa84a65ce80e050178dbb630d-le32d4.cache-3
92dad000-92dae000 r--s 00000000 08:01 12998      /var/cache/fontconfig/81a173283b451552b599cfaafd6236bd-le32d4.cache-3
92dae000-92daf000 r--s 00000000 08:01 12996      /var/cache/fontconfig/6cfc7d49b27ba7d3eb71ab86e04def2c-le32d4.cache-3
92daf000-92db0000 r--s 00000000 08:01 12749      /var/cache/fontconfig/6fcb01a03a016cc71057b587cdea6709-le32d4.cache-3
92db0000-92e3e000 r--s 00000000 08:01 12067      /var/cache/fontconfig/93a816e592ae064f279572b51111bf6d-le32d4.cache-3
92e3e000-92e51000 r--s 00000000 08:01 12035      /var/cache/fontconfig/7a7f22e4c6b2236c525eb458794c6fd2-le32d4.cache-3
92e51000-92e52000 r--s 00000000 08:01 11909      /var/cache/fontconfig/b887eea8f1b96e1d899b44ed6681fc27-le32d4.cache-3
92e52000-92e53000 r--s 00000000 08:01 11822      /var/cache/fontconfig/860639f272b8b4b3094f9e399e41bccd-le32d4.cache-3
92e53000-92e54000 r--s 00000000 08:01 11810      /var/cache/fontconfig/211368abcb0ff835c229ff05c9ec01dc-le32d4.cache-3
92e54000-92e55000 r--s 00000000 08:01 11786      /var/cache/fontconfig/c46020d7221988a13df853d2b46304fc-le32d4.cache-3
92e55000-92e56000 r--s 00000000 08:01 11757      /var/cache/fontconfig/d290456e58f67f52b0f8f224126f9ea8-le32d4.cache-3
92e56000-92e57000 r--s 00000000 08:01 11752      /var/cache/fontconfig/b63c21b9c3e5b4a4009aa5966b421593-le32d4.cache-3
92e57000-92e58000 r--s 00000000 08:01 11746      /var/cache/fontconfig/df893b4576ad6107f9397134092c4059-le32d4.cache-3
92e58000-92e59000 r--s 00000000 08:01 11731      /var/cache/fontconfig/ff627ea95a65192232277bf7c8a56f23-le32d4.cache-3
92e59000-92e5a000 r--s 00000000 08:01 11729      /var/cache/fontconfig/900402270e15d763a6e008bb2d4c7686-le32d4.cache-3
92e5a000-92e5b000 r--s 00000000 08:01 11726      /var/cache/fontconfig/2881ed3fd21ca306ddad6f9b0dd3189f-le32d4.cache-3
92e5b000-92e5c000 r--s 00000000 08:01 11725      /var/cache/fontconfig/3c3fb04d32a5211b073874b125d29701-le32d4.cache-3
92e5c000-92e5d000 r--s 00000000 08:01 11720      /var/cache/fontconfig/e61abf8156cc476151baa07d67337cae-le32d4.cache-3
92e5d000-92e60000 r--s 00000000 08:01 11713      /var/cache/fontconfig/b67b32625a2bb51b023d3814a918f351-le32d4.cache-3
92e60000-92e61000 r--s 00000000 08:01 11712      /var/cache/fontconfig/d3379abda271c4acd2ad0c01f565d0b0-le32d4.cache-3
92e61000-92e64000 r--s 00000000 08:01 11705      /var/cache/fontconfig/46b47dbc682d2ca4191e148ea7bde7f2-le32d4.cache-3
92e64000-92e65000 r--s 00000000 08:01 11703      /var/cache/fontconfig/b4d0b56f766d89640448751fcd18ec1e-le32d4.cache-3
92e65000-92e66000 r--s 00000000 08:01 11697      /var/cache/fontconfig/f8c8443c839e5c47086d237472617a9b-le32d4.cache-3
92e66000-92e6d000 r--s 00000000 08:01 10780      /var/cache/fontconfig/12b26b760a24f8b4feb03ad48a333a72-le32d4.cache-3
92e6d000-92e73000 r--s 00000000 08:01 10201      /var/cache/fontconfig/928306c3ad40271d946e41014a49fc28-le32d4.cache-3
92e73000-92e79000 r--s 00000000 08:01 10190      /var/cache/fontconfig/fa1582dab13e7e8e44e5a9424d309f0e-le32d4.cache-3
92e79000-92e81000 r--s 00000000 08:01 8313       /var/cache/fontconfig/18db0204b1f108dd01663673626fcd3d-le32d4.cache-3
92e81000-92e82000 r--s 00000000 08:01 8258       /var/cache/fontconfig/1248881498ac025e45c3042f6afe9284-le32d4.cache-3
92e82000-92e89000 r--s 000fe000 08:01 41346      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/resources.jar
92e89000-92e95000 r--s 00174000 08:02 1311646    /home/CyrusHMH/yf/freedom.jar
92e95000-92e99000 r--s 0018d000 08:01 41257      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/ext/pulse-java.jar
92e99000-92ea2000 r--s 00065000 08:01 41254      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/ext/gnome-java-bridge.jar
92eae000-93000000 r--p 030d4000 08:01 119139     /usr/lib/locale/locale-archive
93000000-93200000 r--p 00000000 08:01 119139     /usr/lib/locale/locale-archive
93200000-93221000 rw-p 00000000 00:00 0 
93221000-93300000 ---p 00000000 00:00 0 
93300000-933fe000 rw-p 00000000 00:00 0 
933fe000-93400000 ---p 00000000 00:00 0 
93400000-934fe000 rw-p 00000000 00:00 0 
934fe000-93500000 ---p 00000000 00:00 0 
9352b000-9356b000 r--p 02d19000 08:01 119139     /usr/lib/locale/locale-archive
9356b000-93700000 r--s 038ec000 08:01 41348      /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/rt.jar
93700000-93800000 rwxp 00000000 00:00 0 
93800000-95e60000 rwxp 00000000 00:00 0 
95e60000-96989000 rwxp 00000000 00:00 0 
96989000-b3700000 rwxp 00000000 00:00 0 
b3700000-b4680000 rwxp 00000000 00:00 0 
b4680000-b7700000 rwxp 00000000 00:00 0 
b7700000-b77f6000 rw-p 00000000 00:00 0 
b77f6000-b7800000 ---p 00000000 00:00 0 
b780d000-b7842000 rw-p 00000000 00:00 0 
b7844000-b7849000 rw-s 00000000 00:04 1343509    /SYSV00000000 (deleted)
b7851000-b7859000 rw-s 00000000 08:01 916635     /tmp/hsperfdata_CyrusHMH/2458
b7859000-b785a000 rw-p 00000000 00:00 0 
b785a000-b785b000 r--p 00000000 00:00 0 
b785b000-b785c000 rw-p 00000000 00:00 0 
bfa59000-bfa8d000 rwxp 00000000 00:00 0          [stack]
bfa8d000-bfa8e000 rw-p 00000000 00:00 0 

VM Arguments:
java_command: freedom.jar
Launcher Type: SUN_STANDARD

Environment Variables:
PATH=/usr/lib/qt-3.3/bin:/usr/kerberos/sbin:/usr/kerberos/bin:/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/CyrusHMH/bin:/home/CyrusHMH/bin
USERNAME=CyrusHMH
LD_LIBRARY_PATH=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/client:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/../lib/i386
SHELL=/bin/bash
DISPLAY=:0.0

Signal Handlers:
SIGSEGV: [libjvm.so+0x392640], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGBUS: [libjvm.so+0x392640], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGFPE: [libjvm.so+0x2c1010], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGPIPE: [libjvm.so+0x2c1010], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGXFSZ: [libjvm.so+0x2c1010], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGILL: [libjvm.so+0x2c1010], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGUSR1: SIG_DFL, sa_mask[0]=0x00000000, sa_flags=0x00000000
SIGUSR2: [libjvm.so+0x2c0760], sa_mask[0]=0x00000000, sa_flags=0x10000004
SIGHUP: [libjvm.so+0x2c2c30], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGINT: [libjvm.so+0x2c2c30], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGTERM: [libjvm.so+0x2c2c30], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGQUIT: [libjvm.so+0x2c2c30], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004


---------------  S Y S T E M  ---------------

OS:Fedora release 12 (Constantine)

uname:Linux 2.6.32.9-67.fc12.i686.PAE #1 SMP Sat Feb 27 09:42:55 UTC 2010 i686
libc:glibc 2.11.1 NPTL 2.11.1 
rlimit: STACK 10240k, CORE 0k, NPROC 1024, NOFILE 1024, AS infinity
load average:0.03 0.07 0.12

CPU:total 2 (2 cores per cpu, 1 threads per core) family 6 model 15 stepping 13, cmov, cx8, fxsr, mmx, sse, sse2, sse3, ssse3

Memory: 4k page, physical 1024372k(337876k free), swap 3775480k(3775480k free)

vm_info: OpenJDK Client VM (14.0-b16) for linux-x86 JRE (1.6.0_0-b16), built on Nov 12 2009 10:05:22 by "mockbuild" with gcc 4.4.2 20091027 (Red Hat 4.4.2-7)

time: Mon Mar  8 14:11:11 2010
elapsed time: 517 seconds
Comment 40 Robert de Rooy 2010-03-31 11:48:39 EDT
With the above .java.profile file, I can load the new-style BMW Car configurator, used for select country sites.

Dutch
http://www.bmw.be/be/nl/general/uic/car_configurator/configurator.html

French
http://www.bmw.be/be/fr/general/uic/car_configurator/configurator.html

Without it, all I get is the splash screen and I never get to select the car model from the bottom of the screen.

Here is the .java.profile that worked. It may be possible to reduce the lines, but it seemed sun.security.util was at least needed.

grant {
   permission java.security.SecurityPermission
    "putProviderProperty.SunJCE";

   permission java.lang.RuntimePermission
   "accessClassInPackage.sun.security.util";

   permission java.lang.RuntimePermission
        "accessClassInPackage.sun.security.internal.spec";

   permission java.lang.RuntimePermission
        "accessClassInPackage.sun.security.rsa";

   permission java.lang.RuntimePermission
        "accessClassInPackage.sun.security.internal.interfaces";
};

java-1.6.0-openjdk-plugin-1.6.0.0-36.b17.fc12.x86_64
java-1.6.0-openjdk-1.6.0.0-36.b17.fc12.x86_64
Comment 41 Bug Zapper 2010-04-27 08:20:11 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 42 Colin.Simpson 2010-04-27 10:15:16 EDT
This was still a problem in F12 (can someone bump the version). It was worked around by making changes to the user .java.policy file, but I don't know if changes were made to the package to make that workaround unnecessary.
Comment 43 ritz 2010-08-11 07:26:24 EDT
Seen with F13, using nosecurity works . With .java.policy edit, crashes.
Comment 44 Mike Stefanelli 2010-12-29 18:04:56 EST
 Found a solution to this bug. I have been having this issue with the avocent viewer ever since upgrading to fedora 13 with firefox 3.6.x. The problem is with the level of java you are using(at least that was my issue). But I could not get the latest java plugin to load into firefox by using the old way of creating a symbolic link from the /java/jre_x.x_yy/plugin/i386/ns7/libjavaplugin_oji.so into the /usr/lib/mozilla/plugins directory. I tried every way I could think of. The only java I could get to work in firefox 3.6.x  was the IcedTea open source version from the repository. This version does not work with the Avocent Ds-viewer. 
   If you load the new version of java from their website ( run the .bin file) it will create a new version of java in the /usr/java directory. Then remove any old versions you may have in the usr/lib/mozilla/plugins directory and then disable the IcedTea version in firefox plugins menu. Now create a symbolic link by cd 'ing to the /usr/lib/mozilla/plugins directory and enter this command at the command prompt, ln -s /usr/java/jrel.x.x_yy/lib/i386/libnpjp2.so . Restart firefox and check the plugins in the add on menu, you should now see that version of java in the list. Log into the Avocent server and start up a session. It worked for me, hope this helps someone else
Comment 45 Mike Stefanelli 2010-12-29 18:05:47 EST
 Found a solution to this bug. I have been having this issue with the avocent viewer ever since upgrading to fedora 13 with firefox 3.6.x. The problem is with the level of java you are using(at least that was my issue). But I could not get the latest java plugin to load into firefox by using the old way of creating a symbolic link from the /java/jre_x.x_yy/plugin/i386/ns7/libjavaplugin_oji.so into the /usr/lib/mozilla/plugins directory. I tried every way I could think of. The only java I could get to work in firefox 3.6.x  was the IcedTea open source version from the repository. This version does not work with the Avocent Ds-viewer. 
   If you load the new version of java from their website ( run the .bin file) it will create a new version of java in the /usr/java directory. Then remove any old versions you may have in the usr/lib/mozilla/plugins directory and then disable the IcedTea version in firefox plugins menu. Now create a symbolic link by cd 'ing to the /usr/lib/mozilla/plugins directory and enter this command at the command prompt, ln -s /usr/java/jrel.x.x_yy/lib/i386/libnpjp2.so . Restart firefox and check the plugins in the add on menu, you should now see that version of java in the list. Log into the Avocent server and start up a session. It worked for me, hope this helps someone else
Comment 46 Adam DiFrischia 2011-01-26 08:58:08 EST
Seeing the same issue as Comment 25 on Fedora 14 i686. Worked fine with Avocent in Firefox until OpenJDK was updated to java-1.6.0-openjdk.i686 1:1.6.0.0-50.1.9.4.fc14. Now I get "Network Connect Error" dialog.
Comment 47 Adam DiFrischia 2011-01-31 11:05:39 EST
I have been able to reproduce this on a fresh install of Fedora 14; when installing OpenJDK and the plugin, it wants to use versions 50.1.9.4.fc14, since they're the newest in the repo. This causes the aforementioned "Network Connect Error" dialog when bringing up the KVM window. Downgrading to 44.1.9.1.fc14 for OpenJDK and the IcedTea plugin restores KVM window functionality.

We have one of these devices (Avocent KVM - AutoView 3100/3200, Appliance firmware version 01.06.00.03) on premises, so I would be happy to test anything out if needed.
Comment 48 Paul Stauffer 2011-01-31 12:04:54 EST
Adam, do the .java.policy edits from Comments 33 or 37 allow it to work for you?  I'm running with the version from Comment 37, and it's working fine on Fedora 14 with java-1.6.0-openjdk-1.6.0.0-50.1.9.4.fc14.
Comment 49 Adam DiFrischia 2011-02-08 15:10:28 EST
I did not test Comment 37, but the .java.policy from Comment 33 does work for me. Fedora 14 2.6.35.10-74.fc14.i686, OpenJDK/plugin version 51.1.9.5.fc14.
Comment 50 Bug Zapper 2011-06-02 14:24:54 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 51 Charles R. Anderson 2011-06-02 16:34:47 EDT
This is working for me nowadays with the .java.policy file.  Closing.
Comment 52 Colin.Simpson 2011-06-03 05:45:41 EDT
I agree that the change to the .java.policy.file makes it work. But should there be a concern that the out of the box behaviour is different from Sun/Oracle's Java? I'm not really knowledgeable enough on Java to say.

Note You need to log in before you can comment on or make changes to this bug.